Package org.eclipse.microprofile.metrics.tck.util

## Class TimeUtil

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.util.TimeUtil

    public class TimeUtil
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `waitForNextMinute()` Wait until a new minute starts (wait for a timestamp ending with :00.000) and then continue

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### waitForNextMinute

    public static void waitForNextMinute()
                                  throws InterruptedException,
                                         TimeoutException

Wait until a new minute starts (wait for a timestamp ending with :00.000) and then continue

Throws:
  `InterruptedException`
  `TimeoutException`